html, body, ulti-viewer {
  margin: 0;
  position: absolute;
  height: 100%;
  width:100%;

  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/******** Styles to fix the new iOS 7 transparent status bar *******/
// #iosstatusbar {
//     width:100%;
//     height:rem-calc(20);
//     background-color: $brand-background-color;
//     opacity: .6;
//     top:0;
//     left:0;
//     position:fixed;
//     -webkit-transform:translateZ(1px);
//     -moz-transform:translateZ(1px);
//     -o-transform:translateZ(1px);
//     transform:translateZ(1px);
//     z-index:10000;
// }
// .ios-margin-top {
//     margin-top: rem-calc(20);
// }

/******** Touch selection *********/
* {
    -webkit-tap-highlight-color: rgba(0,0,0,0);
    -webkit-tap-highlight-color: transparent; /* For some Androids */ 
}
/******** Horizontal scroll lock *********/
// BODY, HTML {
//     // this little styling part, prevents the app from vertical scroll. BUT it blocks the ng-slide issue. 
    
//     //    max-width: 100%;
//     //    overflow-x: hidden;
// }


// Foundation mixins
.visible { 
    display:block;
}
.invisible {
    display:none;
}

// Hacks
.nopadding {
    padding: 0 !important;
}

.nopadding .panel { /* all panels with a parent with .nopadding also loose their padding*/
    padding: 0;
}

.nomargin-bottom {
    margin-bottom:0 !important;   
}
.title-area {
    width:100% !important;   
}
.margintop {
    margin-top:rem-calc(8);   
}
.disable-hover {
    pointer-events: none;
}


/****** Text *******/
LABEL {
    font-size: rem-calc(16)   
}
P.settingssubheader {
    color:$brand-pink-color;
}
p.textcenter {
    display: block;
    width: 100%;
    text-align: center;
}
p.subtextloader {
    margin-top: rem-calc(60);
    font-size: rem-calc(14);
    color: $charcoal;
}
.textlink {
    color:$brand-pink-color;
    text-decoration: underline;
}
.sublabel {
    color: $base !important;
}

/****** Images *******/
IMG.IMGnewprinter {
}

/******* Row ********/
.img-text-overlay {
    margin-top: rem-calc(-180) !important;
    padding-top: rem-calc(16);
    position: absolute;
    z-index: 2;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,$white-alpha-bg), color-stop(100%,$white)); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top,  $white-alpha-bg 0%, $white 100%); /* Chrome10+,Safari5.1+ */
}





//Call out
.callout {
    background-color: $white !important;
}

.linkarrow {
    display: inline-block;
    float: right;
    width: rem-calc(32);
    
    .icon {
        font-size: rem-calc(32);
        line-height: rem-calc(56);
        color: $brand-black-color;
    }
}

.printer-object {
    display: block;
    height: rem-calc(64);
    width: rem-calc(64);
    float: left;
}

// .localprinters {
//     .printername {
//         display: none;
//     }
// }

// .printername {
//     display:inline-block;
//     overflow: hidden;
//     white-space: nowrap;
//     text-overflow: ellipsis;
//     // max-width: 100%;
//     max-width: rem-calc(160);
// }
// .printerstatus {
//     display:inline-block;
//     overflow: hidden;
//     color:$medium-grey;
//     font-style: italic;
// }
// .networkname {
//     display:inline-block;
//     overflow: hidden;
//     color:$medium-grey;
//     white-space: nowrap;
//     text-overflow: ellipsis;
//     max-width: 70%;
//     margin-top:rem-calc(-8);
// }

.isonline {
    color:$printer-online-color;
}
.isoffline {
    color:$printer-offline-color;
}
.isprinting {
    color:$printer-printing-color;
}

.new-printer-link {
    P {
        color: $steel !important;
        line-height: rem-calc(64) !important;
        margin-left: rem-calc(16);
    }
}

.listitemicon {
    display: block;
    height: rem-calc(56);
    width: rem-calc(56);
    float: right;
    
    SPAN {
        font-size: rem-calc(32);
        line-height: rem-calc(56);
        margin-right: rem-calc(16);
    }

}
.listitemimg {
    display: block;
    float: left;
    height: rem-calc(48);
    width: rem-calc(48);
    margin-right: rem-calc(16);
    margin-top: rem-calc(4);
    margin-bottom: rem-calc(4);
    background-size: 100% 100%;
    border-radius: 50%;
}
.listitemimg-tripplerows {
    margin-top: rem-calc(10);   
}

.printer-file-name {
    background-color: $dark-grey; 
    color: white;
}
.printer-file-name .ontop {
    float: left;
    z-index: 100;
    padding-left: rem-calc(16);
    margin-top: rem-calc(-56);
}
.printer-file-name .ontop P {
    color: $white;
    line-height: rem-calc(56);
}
.printer-file-name .ontop .printer-file {
    color: $gainsboro; 
}
.printer-file-name .download-progress {
    display: block;
    margin-top: rem-calc(0);
    height: rem-calc(56);
    background-color: $brand-pink-color;
}
.downloading {
    color: $gainsboro;
    font-style: italic;
    opacity: 0;
    margin-left: rem-calc(32);
    animation: breathing 3s linear infinite;
    -webkit-animation: breathing 3s linear infinite;
}

.printer-webcam IMG {
    width: 100%; 
}
.printer-webcam .overlay {
    content: " ";
    position: absolute;
    z-index:1;
    width: 100%;
    height:100%;
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(0,0,0,0.65)), color-stop(43%,rgba(0,0,0,0.37)), color-stop(100%,rgba(0,0,0,0))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top,  rgba(0,0,0,0.65) 0%,rgba(0,0,0,0.37) 43%,rgba(0,0,0,0) 100%); /* Chrome10+,Safari5.1+ */
}
.printer-webcam .overlay DIV {
    display: block;
    position: absolute;
    bottom:rem-calc(16);
    right:rem-calc(16);
    margin-top: rem-calc(-16);
    margin-left: rem-calc(-16);
}
.printer-webcam .nowebcam {
    content: " ";
    z-index:1;
    width: 100%;
    height:rem-calc(200); // (426px * 100) / 640px
}
.printer-webcam .nowebcam DIV {
    position: absolute;
    display: block;
    width: rem-calc(200);
    height:rem-calc(100);
    left: 50%;
    top: 50%;
    margin-left: rem-calc(-100);
    margin-top: rem-calc(-50);
    text-align: center;
}
.printer-webcam .nowebcam DIV P {
    color: $medium-grey; 
}

.toolbarVerticalLine {
    display: block;
    width: rem-calc(24);
    float: left;
    line-height: rem-calc(56);
} 

.footer {
    margin-left: auto;
    margin-right: auto;
}
.footer p {
    text-align: center;
    color: gray;
    font-size: rem-calc(11);   
}
